Bug 1824362 - [BZ] Setting in gnome-tweak-tool Window List will reset upon opening
Summary: [BZ] Setting in gnome-tweak-tool Window List will reset upon opening
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-shell-extensions
Version: 8.1
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-16 02:28 UTC by amit yadav
Modified: 2020-11-04 01:36 UTC (History)
6 users (show)

Fixed In Version: gnome-shell-extensions-3.32.1-11.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:34:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4990951 0 None None None 2020-04-16 02:57:14 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:35:33 UTC

Description amit yadav 2020-04-16 02:28:42 UTC
This bug was initially created as a copy of Bug #1613835

I am copying this bug because: 

The issue is affecting multiple releases of RHEL. Originally the issue was reported for RHEL7. But, I am able to reproduce the issue with RHEL8 and Fedora as well.

Description of problem:
While setting Window List under Extensions tab in tweak-tools, the setting will reset upon opening the window. 

Version-Release number of selected component (if applicable):
gnome-tweaks-3.28.1-6.el8.noarch

How reproducible:
Always

Steps to Reproduce:
1. Open gnome-tweak-tool.
2. Go to Extensions tab.
3. Open Window List setting (gear button).
4. Set Always group windows.
5. Close Window List window.
6. Open Window List setting (gear button) again.

Actual results:
Setting is back to Never group windows.

Expected results:
My setting gets saved/will not get reset upon opening the window.

Additional info:

Comment 3 Milan Crha 2020-04-17 07:24:57 UTC
Thanks for a bug report. gnome-tweaks just calls gnome-shell-extension-prefs for that giver extension, thus the preferences are handled by the respective extensions, as written in bug #1613835 comment #5. I'm moving this to gnome-shell-extensions. See the original bug for the patch and a reference to an upstream fix.

Comment 4 Milan Crha 2020-04-17 07:39:14 UTC
By the way, it's only a visual thing, the current setting doesn't change until the user clicks on any of the values.

Comment 7 Michael Boisvert 2020-06-11 19:06:33 UTC
On gnome-shell-extensions-3.32.1-11.el8, the setting stays no matter how many times you open the settings GUI.

Comment 10 errata-xmlrpc 2020-11-04 01:34:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.